<?php

/**
 * Function run when the theme initialises
 */
function fublo_parent_theme_init()
{
	if (!is_admin())
	{
		// Grab the template directory
		$dir = get_bloginfo('template_directory');
		
		// Register stylesheets
		wp_register_style('normalize', $dir . '/assets/css/normalize.css', false, null);
		wp_register_style('960', $dir . '/assets/css/960.css', false, null);
		
		// Register scripts
		wp_register_script('mootools', $dir . '/assets/javascript/mootools.js', false, null, true);
		wp_register_script('less', $dir . '/assets/javascript/less.min.js', false, null);
		wp_register_script('prefixfree', $dir . '/assets/javascript/prefixfree.min.js', false, null);
		wp_register_script('google_maps', 'http://maps.googleapis.com/maps/api/js?sensor=false', false, null, true);
		wp_register_script('tweet_button', 'http://platform.twitter.com/widgets.js', false, null, true);
		wp_register_script('like_button', 'http://connect.facebook.net/en_GB/all.js#xfbml=1', false, null, true);
		wp_register_script('plusone_button', 'https://apis.google.com/js/plusone.js', false, null, true);
		
		// Remove unrequired data from the header
		remove_action('wp_head', 'rsd_link');
		remove_action('wp_head', 'wlwmanifest_link');
		remove_action('wp_head', 'index_rel_link');
		remove_action('wp_head', 'wp_generator');
		remove_action('wp_head', 'rel_canonical');
		remove_action('wp_head', 'adjacent_posts_rel_link_wp_head');
		remove_action('wp_head', 'index_rel_link');
		remove_action('wp_head', 'feed_links_extra', 3);
		remove_action('wp_head', 'feed_links', 2);
		remove_action('wp_head', 'parent_post_rel_link', 10, 0);
		remove_action('wp_head', 'start_post_rel_link', 10, 0);
		remove_action('wp_head', 'adjacent_posts_rel_link', 10, 0);
		wp_deregister_script('l10n');
	}
}

/**
 * Adds the correct rel to less stylesheets
 */
function fublo_parent_theme_less_link_filter($tag)
{
	// Check if file is a less file
	if (strstr($tag, '.less'))
	{
		// It is, replace the rel
		$tag = str_replace('rel=\'stylesheet\'', 'rel=\'stylesheet/less\'', $tag);
	}
	
	return $tag;
}

// Hook into actions
add_action('init', 'fublo_parent_theme_init', 5);
add_filter('style_loader_tag', 'fublo_parent_theme_less_link_filter');